--- a/push/CMakeLists.txt
+++ b/push/CMakeLists.txt
@@ -9,7 +9,7 @@
 
 add_executable(push ${SOURCES} )
 
-target_link_libraries(push Qt5::Core Qt5::Widgets Qt5::Network Qt5::DBus Qt5::Sql auxdb)
+target_link_libraries(push Qt5::Core Qt5::Widgets Qt5::Network Qt5::DBus Qt5::Sql auxdb intl)
 
 install(FILES push-apparmor.json DESTINATION push)
 install(FILES push-helper.json DESTINATION push)
